#!/usr/bin/env python

from distutils.core import setup, Extension
import os
import sys

try:
    setup (name = "readline",
           description = "readline package for OS X python",
           author = "readline.c came straight from Python 2.3 source",
           author_email = "bbum@mac.com",
	   url = "http://www.python.org",
           ext_modules = [
	    Extension("readline",
		      ["readline.c"],
		   extra_compile_args=[
			"-O0",
			"-DMACOSX"
		   ],
		   extra_link_args=[
			'-g', '-lreadline', '-lhistory', '-ltermcap'
		   ])
	    ]
           )

except:
    import sys
    import traceback
    traceback.print_exc()
